MT_PROTO_FUNC(3)

PROTO_FUNC
mt_PROTO_func - Perform a job.

SYNOPSIS
#include <karma_mt.h>

void mt_PROTO_func

(void *pool_info, void *call_info1, void *call_info2, void *call_info3, void *call_info4, void *thread_info)

DESCRIPTION
Perform a job.

pool_info
    The arbitrary pool information pointer.

call_info1
    The first arbitrary call information pointer.

call_info2
    The second arbitrary call information pointer.

call_info3
    The third arbitrary call information pointer.

call_info4
    The fourth arbitrary call information pointer.

thread_info
    A pointer to arbitrary, per thread, information. This information is private to the thread.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/